#include <iostream>
#include <vector>
using namespace std;

int main()
{
long long int n,o,m,k,t,t2,p=0,osz;
cin>>o;
vector<int> vege(o);
for(int i=0;i<o;i++)
{
    cin>>n>>m>>k;
    t=n/k;
    t2=n%k;
    osz=(t*(t+1))/2;
        if(m>=osz*(k-t2)+(osz+t+1)*t2)
        {
            vege[p]=1;
            p++;
        }
        else{
            vege[p]=-1;
            p++;
        }
}
for(int i=0;i<p;i++)
{
    if(vege[i]==1)
    {
        cout<<"Tak"<<endl;
    }
    else
        cout<<"Nie"<<endl;
}
}